Autor Tema: Actualización Kolla vs 4.5.1 a 4.6.0  (Leído 180 veces)

0 Usuarios y 1 Visitante están viendo este tema.

faraya

  • General Guarani
  • *
  • Mensajes: 184
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Fernando Daniel Araya
  • Sistema: SIU-GUARANI
  • Teléfono laboral: 0297-4854888 int 114
Actualización Kolla vs 4.5.1 a 4.6.0
« on: Febrero 08, 2022, 02:23:03 pm »
Buenas Tardes!
Desde la Unpa estamos probando la actualización del sistema Kolla desde la versión 4.5.1 a la versión 4.6.0 y al momento de ejecutar:
composer install --no-dev, nos pide un usuario para gitlab.siu.edu.ar. Como puedo acceder a este usuario y password?

 - Installing siu/manejador-salida-bootstrap (v1.3.5):     Authentication required (gitlab.siu.edu.ar):
      Username:
Desde ya muchas gracias por su respuesta!

Saludos Fernando.

Rodrigo Miranda [SIU]

  • Moderador Global
  • *****
  • Mensajes: 181
    • Ver Perfil
    • Email
  • Institución: SIU
Re:Actualización Kolla vs 4.5.1 a 4.6.0
« Respuesta #1 on: Febrero 09, 2022, 08:22:09 am »
Hola Fernando, que versión de composer tenés instalada?

faraya

  • General Guarani
  • *
  • Mensajes: 184
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Fernando Daniel Araya
  • Sistema: SIU-GUARANI
  • Teléfono laboral: 0297-4854888 int 114
Re:Actualización Kolla vs 4.5.1 a 4.6.0
« Respuesta #2 on: Febrero 09, 2022, 08:30:21 am »
Buen día!
tenemos instalada la versión 1.10.0

Rodrigo Miranda [SIU]

  • Moderador Global
  • *****
  • Mensajes: 181
    • Ver Perfil
    • Email
  • Institución: SIU
Re:Actualización Kolla vs 4.5.1 a 4.6.0
« Respuesta #3 on: Febrero 09, 2022, 08:45:09 am »
Bien, deberías instalar la versión 2 de composer y agregar la siguiente línea debajo de "url" en el archivo composer.json

Código: [Seleccionar]
"canonical": false

Con lo cuál te quedaría así:

Código: [Seleccionar]
    "name" : "siu/kolla",
    "description" : "Módulo de Gestión de Encuestas",
    "repositories" : [{
        "type" : "composer",
        "url" : "https://satis.siu.edu.ar",
        "canonical": false
    }],

Luego intenta nuevamente

Código: [Seleccionar]
composer install --no-dev

faraya

  • General Guarani
  • *
  • Mensajes: 184
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Fernando Daniel Araya
  • Sistema: SIU-GUARANI
  • Teléfono laboral: 0297-4854888 int 114
Re:Actualización Kolla vs 4.5.1 a 4.6.0
« Respuesta #4 on: Febrero 09, 2022, 09:47:43 am »
Hola! realice la modificación en el archivo composer.json y volví a ejecutar composer install --no-dev y me volvio a pedir el usuario:

faraya@cys-kollaPas:/var/pas/kolla460$ composer install --no-dev
Installing dependencies from lock file
Verifying lock file contents can be installed on current platform.
Warning: The lock file is not up to date with the latest changes in composer.json. You may be getting outdated dependencies. It is recommended that you run `composer update` or `composer update <package name>`.
Package operations: 4 installs, 0 updates, 0 removals
  - Syncing siu/manejador-salida-bootstrap (v1.3.5) into cache
    Authentication required (gitlab.siu.edu.ar):
      Username:

Ejecute composer update y me tiro lo siguiente:

faraya@cys-kollaPas:/var/pas/kolla460$ composer update
Loading composer repositories with package information

                                                                               
  [Composer\Downloader\TransportException]                                     
  curl error 60 while downloading https://satis.siu.edu.ar/packages.json: SSL 
   certificate problem: certificate has expired

Rodrigo Miranda [SIU]

  • Moderador Global
  • *****
  • Mensajes: 181
    • Ver Perfil
    • Email
  • Institución: SIU
Re:Actualización Kolla vs 4.5.1 a 4.6.0
« Respuesta #5 on: Febrero 09, 2022, 09:49:22 am »
Esto te pasa con la versión 2 de composer?

faraya

  • General Guarani
  • *
  • Mensajes: 184
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Fernando Daniel Araya
  • Sistema: SIU-GUARANI
  • Teléfono laboral: 0297-4854888 int 114
Re:Actualización Kolla vs 4.5.1 a 4.6.0
« Respuesta #6 on: Febrero 09, 2022, 09:56:55 am »
si, instale la versión 2.2.6

faraya@cys-kollaPas:/var/pas/kolla460$ composer -V
Composer version 2.2.6 2022-02-04 17:00:38

Rodrigo Miranda [SIU]

  • Moderador Global
  • *****
  • Mensajes: 181
    • Ver Perfil
    • Email
  • Institución: SIU
Re:Actualización Kolla vs 4.5.1 a 4.6.0
« Respuesta #7 on: Febrero 09, 2022, 10:08:13 am »
A nosotros nos está funcionando correctamente por lo que asumo que estaría faltando actualizar el SO. Podríamos temporalmente desactivar la validación de certificados pero no es lo recomendable justamente porque los certificados deben validarse. Podrías entonces chequear que el SO está actualizado?.

faraya

  • General Guarani
  • *
  • Mensajes: 184
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de la Patagonia Austral
  • Nombre y apellido: Fernando Daniel Araya
  • Sistema: SIU-GUARANI
  • Teléfono laboral: 0297-4854888 int 114
Re:Actualización Kolla vs 4.5.1 a 4.6.0
« Respuesta #8 on: Febrero 09, 2022, 10:44:47 am »
Buenas! actualice el SO ejecutando:
sudo apt-get update
sudo apt-get upgrade

Y me instalo el composer correctamente.
Muchas gracias por su ayuda.

Rodrigo Miranda [SIU]

  • Moderador Global
  • *****
  • Mensajes: 181
    • Ver Perfil
    • Email
  • Institución: SIU
Re:Actualización Kolla vs 4.5.1 a 4.6.0
« Respuesta #9 on: Febrero 09, 2022, 10:46:52 am »
Perfecto! No hay porque. Saludos.